Package org.apache.groovy.ginq.dsl

# Class GinqAstBaseVisitor

java.lang.Object
org.codehaus.groovy.ast.CodeVisitorSupport
org.apache.groovy.ginq.dsl.GinqAstBaseVisitor

All Implemented Interfaces:
  `GinqAstVisitor<Void>`, `GroovyCodeVisitor`

public class GinqAstBaseVisitor extends CodeVisitorSupport implements GinqAstVisitor<Void>
The default base visitor for GINQ AST

Since:
  4.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GinqAstBaseVisitor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Void`
  `visit(AbstractGinqExpression expression)`
  `Void`
  `visitFromExpression(FromExpression fromExpression)`
  `Void`
  `visitGinqExpression(GinqExpression ginqExpression)`
  `Void`
  `visitGroupExpression(GroupExpression groupExpression)`
  `Void`
  `visitHavingExpression(HavingExpression havingExpression)`
  `Void`
  `visitJoinExpression(JoinExpression joinExpression)`
  `Void`
  `visitLimitExpression(LimitExpression limitExpression)`
  `Void`
  `visitOnExpression(OnExpression onExpression)`
  `Void`
  `visitOrderExpression(OrderExpression orderExpression)`
  `Void`
  `visitSelectExpression(SelectExpression selectExpression)`
  `Void`
  `visitShutdownExpression(ShutdownExpression shutdownExpression)`
  `Void`
  `visitWhereExpression(WhereExpression whereExpression)`

  ### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

  `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.groovy.ginq.dsl.GinqAstVisitor

  `getConfiguration, setConfiguration`

  ### Methods inherited from interface org.codehaus.groovy.ast.GroovyCodeVisitor

  `visit, visit, visitEmptyExpression, visitListOfExpressions`

- ## Constructor Details

  - ### GinqAstBaseVisitor

    public GinqAstBaseVisitor()

- ## Method Details

  - ### visitGinqExpression

    public Void visitGinqExpression(GinqExpression ginqExpression)
    Specified by:
      `visitGinqExpression` in interface `GinqAstVisitor<Void>`

  - ### visitFromExpression

    public Void visitFromExpression(FromExpression fromExpression)
    Specified by:
      `visitFromExpression` in interface `GinqAstVisitor<Void>`

  - ### visitJoinExpression

    public Void visitJoinExpression(JoinExpression joinExpression)
    Specified by:
      `visitJoinExpression` in interface `GinqAstVisitor<Void>`

  - ### visitOnExpression

    public Void visitOnExpression(OnExpression onExpression)
    Specified by:
      `visitOnExpression` in interface `GinqAstVisitor<Void>`

  - ### visitWhereExpression

    public Void visitWhereExpression(WhereExpression whereExpression)
    Specified by:
      `visitWhereExpression` in interface `GinqAstVisitor<Void>`

  - ### visitGroupExpression

    public Void visitGroupExpression(GroupExpression groupExpression)
    Specified by:
      `visitGroupExpression` in interface `GinqAstVisitor<Void>`

  - ### visitHavingExpression

    public Void visitHavingExpression(HavingExpression havingExpression)
    Specified by:
      `visitHavingExpression` in interface `GinqAstVisitor<Void>`

  - ### visitOrderExpression

    public Void visitOrderExpression(OrderExpression orderExpression)
    Specified by:
      `visitOrderExpression` in interface `GinqAstVisitor<Void>`

  - ### visitLimitExpression

    public Void visitLimitExpression(LimitExpression limitExpression)
    Specified by:
      `visitLimitExpression` in interface `GinqAstVisitor<Void>`

  - ### visitSelectExpression

    public Void visitSelectExpression(SelectExpression selectExpression)
    Specified by:
      `visitSelectExpression` in interface `GinqAstVisitor<Void>`

  - ### visitShutdownExpression

    public Void visitShutdownExpression(ShutdownExpression shutdownExpression)
    Specified by:
      `visitShutdownExpression` in interface `GinqAstVisitor<Void>`

  - ### visit

    public Void visit(AbstractGinqExpression expression)
    Specified by:
      `visit` in interface `GinqAstVisitor<Void>`